Forum Linux.debian/ubuntu Pov-Ray dans debian ?

Posté par (page perso) .
3
12
sept.
2012

Bonjour Forum,

Il y a quelques années de ça, j'avais utilisé povray comme backend à Jmol pour faire de joli rendus de molécules. Je voudrais le refaire aujourd'hui, mais je n'arrive pas à trouver le package povray dans debian (Sid et Wheezy).
A priori, il y a des packages dans non-free, mais je ne les trouve pas (avec aptitude ou synaptic)

Mon sources.list (pour Wheezy):

darckense@rose:~$ cat /etc/apt/sources.list
deb http://ftp.fr.debian.org/debian/ wheezy main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ wheezy main contrib non-free

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

Qu'est-ce que j'ai loupé ?

Merci,

  • # Tu n'as rien loupé

    Posté par . Évalué à 4.

    Si on en croit http://packages.debian.org/search?keywords=povray alors le paquet n'est disponible que sur squeeze et sid.

    • [^] # Re: Tu n'as rien loupé

      Posté par . Évalué à 3.

      comprendre les versions de debian

      squeeze = stable
      wheezy = testing
      sid = unstable

      donc comme le dit ericdrier, ce n'est pas disponible pour wheezy
      donc soit faut tricher en installant la version fournit dans squeeze
      soit faut patienter que ca redescende de sid

  • # De toute façon

    Posté par (page perso) . Évalué à 2.

    La version 3.7, celle qui inclue le support du multiprocessing et qui permettra de diminuer le temps de rendu par le le nombre de processeurs de ta machine, n'est pas packagée pour debian.

    Vu l'avancée de la version, ça n'est pas prendre un risque que de l'installer. Par contre il faut compiler à la main…

    http://povray.org/beta/

    • [^] # Re: De toute façon

      Posté par (page perso) . Évalué à 1.

      Ou plus simple : télécharger le paquet sur http://packages.debian.org/sid/povray et $>dpkg -i
      Sur une testing ( wheezy ) ça devrait passer tout seul…

      Fuse : j'en Use et Abuse !

      • [^] # Re: De toute façon

        Posté par . Évalué à 1. Dernière modification le 12/09/12 à 16:07.

        tout seul ? pas si sûr ! je n'ai pas de debian stable sous la main, mais il risque d'y avoir un problème de dépendances :

        _

        dep: libc6.1 (>= 2.7-1) [alpha]
        bibliothèque C GNU embarquée : bibliothèques partagées
        un paquet virtuel est également fourni par libc6.1-udeb

        dep: libgcc1 (>= 1:4.1.1) [alpha]
            Bibliothèque de support GCC 
        
        dep: libjpeg62
            bibliothèque d'exécution du groupe indépendant JPEG - version 6.2 
        
        dep: libpng12-0 (>= 1.2.13-4)
            Bibliothèque PNG (exécutables) 
        
        dep: libstdc++6 (>= 4.1.1)
            bibliothèque standard C++ de GNU v3 
        
        dep: libtiff4
            bibliothèque pour le format graphique TIFF (Tag Image File Format) 
        
        dep: libx11-6
            Bibliothèque X11 partie client 
        
        dep: zlib1g (>= 1:1.1.4)
            Bibliothèque de compression - binaires_ 
        
        

        Y'a pas un dépôt debian-backport ? pour les paquets testing et/ou sid portés sur la stable ?

        • [^] # Re: De toute façon

          Posté par (page perso) . Évalué à 2.

          Sauf que le monsieur il n'est pas en stable mais en testing !!!
          Et j'ai rarement vu un truc de sid ne pas passer en dépendance sur une testing….

          Vérifions pour le fun au jour d'aujourd'hui :
          - libc6.1 : 2.13 OK !
          - libcc1 : 1.4.7 OK !
          - libpng12-0 : 1.2.49 OK !
          - libstdc++6 : 4.7.1 OK !
          - zlib1g : 1.2.7 OK !
          - libtiff4 / libx11-6 / libjpeg62 OK !

          Donc je persiste et signe : Download + dpkg -i !

          Fuse : j'en Use et Abuse !

          • [^] # Re: De toute façon

            Posté par . Évalué à 1.

            Autant pour ouame j'avais lu de travers, et n'ayant pas de debian sous la main en journée…

  • # debian-backports et/ou apt-pinnning

    Posté par . Évalué à 2. Dernière modification le 12/09/12 à 16:18.

    selon les instructions du wiki debian backports :
    dans /etc/apt/sources.list ajouter :

    deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free
    
    

    puis

    # aptitude update ; aptitude install povray*
    
    

    et au besoin désactive le backport après ou utilise le apt-pinning pour laisser ta debian en stable

  • # Merci !

    Posté par (page perso) . Évalué à 2.

    Bonsoir à tous,

    Merci pour vos nombreuses réponses.
    En fait, j'ai un portable sur sid, et une station de travail au boulot en testing.
    Je fais une installation manuelle demain… :-D

    Sinon, compiler povray depuis les sources ne me fait pas peur, mais honnêtement, vu les structures que j'ai, un simple coeur est amplement suffisant à la tache… :-D

    Merci encore.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.